>From 16f478ae74287dbf50497d2a71289d75d165f74a Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Marian=20=C4=8Eurkovi=C4=8D?= <md@bts.sk>
Date: Sat, 5 Sep 2009 08:57:44 +0200
Subject: [PATCH] Fix buggy memcpy in DstreamRead

---
 src/input/stream_demux.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/input/stream_demux.c b/src/input/stream_demux.c
index 69eac89..777091c 100644
--- a/src/input/stream_demux.c
+++ b/src/input/stream_demux.c
@@ -162,6 +162,7 @@ static int DStreamRead( stream_t *s, void *p_read, unsigned int i_read )
             i_copy = __MIN( i_read, p_block->i_buffer );
             if( p_out && i_copy ) memcpy( p_out, p_block->p_buffer, i_copy );
             i_read -= i_copy;
+            p_out += i_copy;
             i_out += i_copy;
             p_block->i_buffer -= i_copy;
             p_block->p_buffer += i_copy;
-- 
1.5.3.3

